Subject: bug#17801: 24.3.91; Regression: Texinfo Mode inserts newline after markup

From: Stefan Monnier <[email-masked]>
Date: Wed, 18 Jun 2014 23:54:42 -0400

> I couldn't find a clear-cut way to fix this.  Setting
> skeleton-end-newline to nil doesn't sound right,

I think it's the right solution, tho.

> I also couldn't find any way of telling a skeleton not to insert a
> newline; did I miss something?

Indeed, there isn't any.  But really skeleton shouldn't insert a newline
by default (since it offers no way for individual skeletons to override
it).  Instead, each skeleton that needs it should end with a \n.

        Stefan